Subject: Re: bug#16721: 24.3.50; can not use ext font anymore

From: [email-masked] (K. Handa)
Date: Thu, 13 Feb 2014 21:48:41 +0900

In article <[email-masked]>, Glenn Morris <[email-masked]> writes:

> Ivan Kanis wrote:
> > 1) emacs -Q
> > 2) eval the following in *scratch*
> >
> > (set-fontset-font "fontset-default" nil
> >   "xft:-unknown-Symbola-normal-normal-semi-condensed-*-20-*-*-*-*-0-iso10646-1")
> >
> > I expect a return of nil. I get an error "Invalid font name".

> This is due to r113049. Perhaps it is working as it should, I don't know.

A valid XLFD name should have 14 fields separated by "-",
not 15 as the above example.  So, I think signaling "Invalid
font name" error is the right thing.

---
Kenichi Handa
[email-masked]